# 说明

## api路径

`https://3dqueen.cloud/3dshow/v2/3dshow/`

## 包含服务

3dshow2-nginx
18096

3dshow2-mongo
37039

3dshow2-redis
16396

3dshow2-bus
14307

## docker中 mongo 支持事务
command: mongod --port 27017 --replSet rs0
docker exec -it pack-3dshow-3dshow2-mongo-1 mongo
use admin
db.auth("root","3dshowzzz_x") rs.initiate() rs.status()// 单节点副本集，事务支持
```json
    
conf = {_id : "rs0",members: [{ _id: 0, host: "3dshow2-mongo:27017" }]}
rs.initiate({_id : "rs0",members: [{ _id: 0, host: "3dshow2-mongo:27017"}]})

### error:Our replica set config is invalid or we are not a member of it
# docker 环境
rs.reconfig({_id:"rs0",version:1,members:[{ _id:0,host:"3dshow2-mongo:27017"}]},{force:true})

# 本地运行show2服务 需要3dshow2应用能访问到，所以是192.168.110.125，不能是localhost或者127.0.0.1
rs.reconfig({_id:"rs0",version:1,members:[{ _id:0,host:"192.168.110.125:37039"}]},{force:true})
### error:Addr: localhost:27017, Type: Unknown, Last error: dial tcp 127.0.0.1:27017: connect: connection refused
```